var idsResultadoCancelada = [];
var idsSeleccionados = [];
var recargarDireccion = false;

$(document).ready(function(){
	
	//Marcamos la opción del menú principal "Inspecciones"
	$("#menuInspecciones").addClass("active");
	
	
	$(".rup_accordion").rup_accordion({
		active: true,
		collapsible: true,
		autoHeight: false
	});
	$("#acordeonBusqueda").rup_accordion("activate", 0);
	
	var inspeccionCargada = sessionStorage.getItem("inspeccionCargada");
	
	if (inspeccionCargada !== null)
	{
		$("#menuFichaInspeccion").removeClass("disabled");
		/* Para completar la url del menú Ficha Inspección */
		 var link=$("#menuFichaInspeccion a").attr("href");
		 $("#menuFichaInspeccion a").attr("href",link+inspeccionCargada);
		 
		/* Para completar la url del menú Listados */
		 var link=$("#menuListados a").attr("href");
		 $("#menuListados a").attr("href",link+inspeccionCargada);
	}
	
	$.ajax({
		url: CTX_PATH + "resultadosinspeccion/findByDesResIns/" + RESULTADO_CANCELADA,
		type: "GET",
		dataType: "json",
		async: false,
		success: function(data){
			for (var i = 0; i < data.length; i++) {
				idsResultadoCancelada.push(data[i].idResultadoInspeccion);
			}			
		},
		error: function(){
			$("#datosBasicos_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#datosBasicos_feedback").rup_feedback("set",$.rup.i18n.app.feedback.error.errorGenerico, "error");
		}
	});
	
	$("#idDireccion_filter_table").rup_combo({
		blank : "",
		source : "/ab79WebAppWar/direcciones",
		sourceParam : {
			label : (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value : "idDireccion"
		},
		width: 328,
		onLoadSuccess: function() {
			if(typeof DIRECCION_PRECARGADA !== "undefined" && DIRECCION_PRECARGADA !== null && DIRECCION_PRECARGADA !== "") {
				$("#idDireccion_filter_table").rup_combo("setRupValue", DIRECCION_PRECARGADA);	
				$("#idDireccion_filter_table").rup_combo("disable");
			} else if(filtro !== null && botonVolver === "true" && filtro["direccion.idDireccion"] && recargarDireccion == false){
				$("#idDireccion_filter_table").rup_combo("setRupValue", filtro["direccion.idDireccion"]);
			} else {
				$("#idDireccion_filter_table").rup_combo("clear");
			}
		}
	});
	
	$("#idOrigenInspeccion_filter_table").rup_combo({
		blank : "",
		source : "/ab79WebAppWar/origenesinspeccion",
		sourceParam : {
			label : (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value : "idOrigenInspeccion"
		},
		width: 328,
	});
	
	$("#idCampaina_filter_table").rup_combo({
		source : "/ab79WebAppWar/campainasinspeccion",
		parent: ["idDireccion_filter_table"],
		blank : "",
		sourceParam : {
			label : (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value : "idCampaina"
		},
		onLoadSuccess: function() {
			if(filtro !== null && botonVolver === "true" && filtro["campaina.idCampaina"] && recargarDireccion == false){
				$("#idCampaina_filter_table").rup_combo("setRupValue", filtro["campaina.idCampaina"]);
			} else if(recargarDireccion) {
				$("#idCampaina_filter_table").rup_combo("clear");
				$("#idCampaina_filter_table").rup_combo("disable");
				recargarDireccion = false;
			} else {
				/**
				 * Si existe una direccion precargada y se deshabilita el combo de direccion, el combo de campaña al estar asociado, se deshabilita tambien.
				 * 
				 * Cuando se cargue el combo vamos a habilitarlo para que se pueda seleccionar una campaña
				 */
				$("#idCampaina_filter_table").rup_combo("enable");
			}		
			
		},
		width: 328
	});

	$("#registroUno").keyup(function(e) {
		var code = (e.keyCode ? e.keyCode : e.which);
		if(code !== 9 && code !== 16){
			$("#registroUno").val($("#registroUno").val().toUpperCase());
			if($("#registroUno").val().length == 1){
				$("#registroDos").focus();
			}
		}
		
	});
	
	$("#registroDos").keyup(function(e) {
		var code = (e.keyCode ? e.keyCode : e.which);
		if(code !== 9 && code !== 16){
			$("#registroDos").val($("#registroDos").val().toUpperCase());
			if($("#registroDos").val().length == 2){
				$("#registroTres").focus();
			}
		}
	});
	
	$("#registroTres").focusout(function() {
		if($("#registroTres").val() !== ""){
			$("#registroTres").val(pad($("#registroTres").val(), 5));
		}
	});
	
	
	$("#inspector_filter_table").rup_combo({
		blank : "",
		source : "/ab79WebAppWar/inspectores/busquedaInspeccion/"+$("#checkboxInspectores").prop("checked"),
		sourceParam : {
			label : "nombreInspector",
			value : "idInspector"
		},
		width: 328
	});
	
	//Cuando se pulsa sobre el check relanzamos el combo para que muestre todos o los activos dependiendo de la seleccion
	$("#checkboxInspectores").on('change', function() {
		$("#inspector_filter_table").rup_combo({
			blank : "",
			source : "/ab79WebAppWar/inspectores/busquedaInspeccion/"+$("#checkboxInspectores").prop("checked"),
			sourceParam : {
				label : "nombreInspector",
				value : "idInspector"
			},
			width: 328
		});
	});
	
	$("#inspector_filter_table").rup_combo("setRupValue", $("#usuarioXLNETS").val());
	
	if($("#enviadoTablet_filter_table").length > 0){
		var listEnviadoTablet = new Array();
		listEnviadoTablet[0]= {i18nCaption: $.rup.i18n.app.comboEnviadoTablet.blank, value: -1};
		listEnviadoTablet[1]= {i18nCaption: $.rup.i18n.app.comboEnviadoTablet.si, value:ENVIADO_TABLET_SI};
		listEnviadoTablet[2]= {i18nCaption: $.rup.i18n.app.comboEnviadoTablet.no, value:ENVIADO_TABLET_NO};	
		//Transformo en JSON la lista
		$.toJSON(listEnviadoTablet);	
		$("#enviadoTablet_filter_table").rup_combo({
			source: listEnviadoTablet,	
			width : 328
		});
	}
	
	var listCasosPropuesta = new Array();
	listCasosPropuesta[0]= {i18nCaption: $.rup.i18n.app.comboEnviadoTablet.blank, value: -1};
	listCasosPropuesta[1]= {i18nCaption: $.rup.i18n.app.propuestaSancion.creada, value:PROPUESTA_EN_TRAMITE};
	listCasosPropuesta[2]= {i18nCaption: $.rup.i18n.app.propuestaSancion.enviada, value:PROPUESTA_ENVIADA};
	listCasosPropuesta[3]= {i18nCaption: $.rup.i18n.app.propuestaSancion.subsanar, value:PROPUESTA_SUBSANAR};	
	listCasosPropuesta[4]= {i18nCaption: $.rup.i18n.app.propuestaSancion.expSancionadorCreado, value:PROPUESTA_EXPEDIENTE_SANCIONADOR};	
	//Transformo en JSON la lista
	$.toJSON(listCasosPropuesta);	
	$("#casoPropuesta_filter_table").rup_combo({
		source: listCasosPropuesta,
		orderedByValue: true,	
		width : 328
	});
	
	$("#idResultadoInspeccion_filter_table").rup_combo({
		blank : "",
		source : "/ab79WebAppWar/desresins",
		sourceParam : {
			label : (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value : "idDesResIns"
		},
		width: 328
	});
	
	$("#idAgrupacion_filter_table").rup_combo({
		blank : "",
		source : "/ab79WebAppWar/agrupaciones",
		sourceParam : {
			label : (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value : "idAgrupacion"
		},
		width: 328
	});
	
	$("#idEstadoInspeccion_filter_table").rup_combo({
		multiselect: true,
		rowStriping: true,
		submitAsString:true,
		orderedByValue: true,
		readAsString: true,
		source: "/ab79WebAppWar/desestins",
		sourceParam: {
			label: (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera" : "descripcionCastellano"),
			value: "idDesEstIns"
		},
		width: 320,
		onLoadSuccess: function() {
			if(typeof filtro === "undefined" || filtro === null || filtro === ""){
				ESTADO_PENDIENTE = ESTADO_PENDIENTE.toString();
				$("#idEstadoInspeccion_filter_table").rup_combo("setRupValue", ESTADO_PENDIENTE);
			} else{
				if(typeof filtro.idsComboEstadoInspeccion !== "undefined"){
					$("#idEstadoInspeccion_filter_table").rup_combo("setRupValue", filtro.idsComboEstadoInspeccion);
				} else {
					$("#idEstadoInspeccion_filter_table").rup_combo("clear");
				}
				
			}
		}
	});
	
	/* COMBOS de NORA */
	$("#provincia_filter_table").rup_combo({
		source: "/ab79WebAppWar/nora/provincias",
		blank: "",
		sourceParam: {
			label: "dsO",
			value: "id"
		},
		change: function() {
			$("#codigoProvincia").val($("#provincia_filter_table").rup_combo("getRupValue"));
			
			if($("#provincia_filter_table").rup_combo("getRupValue") == ""){
				$("#codigoMunicipio").val("");
			}
		},
		width: 250,
		onLoadSuccess: function(){
			if(typeof PROVINCIA_PRECARGADA !== "undefined" && PROVINCIA_PRECARGADA !== null && PROVINCIA_PRECARGADA !== ""){
				$("#provincia_filter_table").rup_combo("setRupValue", PROVINCIA_PRECARGADA);
			}
		}
	});
	
	if(typeof PROVINCIA_PRECARGADA !== "undefined" && PROVINCIA_PRECARGADA !== null && PROVINCIA_PRECARGADA !== ""){
		
		var url = "";
		
		if(typeof DIRECCION_PRECARGADA !== "undefined" && DIRECCION_PRECARGADA !== null && DIRECCION_PRECARGADA !== "") {
			url = CTX_PATH + "inspecciones/inspeccionesAsociadas/" + PROVINCIA_PRECARGADA + "/" + DIRECCION_PRECARGADA;
		} else{
			url = CTX_PATH + "inspecciones/inspeccionesAsociadas/" + PROVINCIA_PRECARGADA;
		}
		
		$.ajax({
			url: url,
			type: "POST",
			success: function(respuesta){		
				var feedBack = $.rup.i18n.app.busquedaInspecciones.numeroInspecciones;
				feedBack = feedBack.replace("{0}", respuesta);
				feedBack = feedBack.replace("{1}", $('select[id="provincia_filter_table"] option:selected').text());
				
				if(typeof DIRECCION_PRECARGADA !== "undefined" && DIRECCION_PRECARGADA !== null && DIRECCION_PRECARGADA !== "") {
					feedBack = feedBack.replace("{2}", "(" + $('select[id="idDireccion_filter_table"] option:selected').text() + ")");
				} else {
					feedBack = feedBack.replace("{2}", "");
				}				
				
				$("#id_capa").rup_feedback({ gotoTop : true, block : false});
				$("#id_capa").rup_feedback("set", feedBack, "alert");
			},
		});
	}
	
	$("#municipio_filter_table").rup_combo({
		source: "/ab79WebAppWar/nora/municipios",
		parent: ["provincia_filter_table"],
		blank: "",
		sourceParam: {
			label: "dsO",
			value: "id"
		},
		change: function() {
			$("#codigoMunicipio").val($("#municipio_filter_table").rup_combo("getRupValue"));
		},
		width: 250
	});
	
	$("#localidad_filter_table").rup_combo({
		source: "/ab79WebAppWar/nora/localidades",
		parent: ["provincia_filter_table", "municipio_filter_table"],
		blank: "",
		sourceParam: {
			label: "dsO",
			value: "id"
		},
		change: function() {
			$("#codigoLocalidad").val($("#localidad_filter_table").rup_combo("getRupValue"));
		},
		width: 290
	});
	
	document.getElementById("checkbox").disabled = true;
	$("#inspecciones").rup_datatable({
		primaryKey: "idInspeccion",
		loadOnStartUp: false,
		stateSave: true,
		stateSaveCallback: function(settings,data) {
			localStorage.setItem( 'DataTables_' + settings.sInstance, JSON.stringify(data) );
		},
		stateLoadCallback: function(settings) {
			if(sessionStorage.getItem("botonVolver") === "true"){
				return JSON.parse( localStorage.getItem( 'DataTables_' + settings.sInstance ) );
			} else {
				return '';
			}
		},
		pagingType: "full_numbers",
		dom: 'rt<"bottom"lip>',
		pageLength : 10,
		lengthMenu: [10, 25, 50],
		filter:{
  	  		id:"inspecciones_filter_form",
  	  		filterToolbar:"inspecciones_filter_toolbar",
  	  		collapsableLayerId:"inspecciones_filter_fieldset"
     	},
        formEdit:{
        	detailForm: "#inspecciones_detail_div",
			fillDataMethod: "clientSide",
    		titleForm: jQuery.rup.i18nParse(jQuery.rup.i18n.base,'rup_table.edit.editCaption')  
    	}
    	,colReorder:false,
    	columnDefs: [ 
			{
			  targets: [0,6,11],
		      visible: false
		   },
		   {
			  targets: [0,6,11],
		      orderable: false
		   },
		   {
			  targets: [1,2,3,4,5,7,8,9],
			  orderable: true
		   },
		   {
			   targets: [1,8,9,12],
			   className: 'text-center'
		   },
		   {
			   targets: [5],
			   render: function(data){
				   if(data === null){
					   data = '';
				   }
				   return '<div id="munLocalidadTooltip_" class="munLocalidadTooltip">' + data + '</div>';
			   }
		   },
		   {
			   targets: [10],
			   render: function(data, type, row) {
				   if($.inArray(parseInt(row.resultadoInspeccion.idResultadoInspeccion), idsResultadoCancelada) !== -1) {
					   return '';
				   } else {
					   return "<input type='checkbox' class='inspeccionesCheckbox' style='margin-left:8px'/>";
				   }				  
			   }
		   },
		   {
			   targets: [12],
			   className: 'text-center',
			   render: function(data, type, row) {
				   if(data == PROPUESTA_EN_TRAMITE){
					   return '<i class="fa fa-flag fa-2x colorGreen" aria-hidden="true" title="' + $.rup.i18n.app.propuestaSancion.creada + '"></i>';
				   } else if(data == PROPUESTA_ENVIADA){
					   return '<a href="' + $("#urlAB59Busqueda").val() + 'fichapropuestasancion/maint/' + row.idPropuesta + '" target="_blank"><i class="fa fa-flag fa-2x colorOrange" aria-hidden="true" title="' + $.rup.i18n.app.propuestaSancion.enviada + '"></i></a>';
				   } else if(data == PROPUESTA_EXPEDIENTE_SANCIONADOR){
					   return '<a href="' + $("#urlAB59Busqueda").val() + 'fichapropuestasancion/maint/' + row.idPropuesta + '" target="_blank"><i class="fa fa-flag fa-2x colorRed" aria-hidden="true" title="' + $.rup.i18n.app.propuestaSancion.expSancionadorCreado + '"></i></a>';
				   } else if(data == PROPUESTA_SUBSANAR){
					   return '<a href="' + $("#urlAB59Busqueda").val() + 'fichapropuestasancion/maint/' + row.idPropuesta + '" target="_blank"><i class="fa fa-flag fa-2x colorPurple" aria-hidden="true" title="' + $.rup.i18n.app.propuestaSancion.subsanar + '"></i></a>';
				   } else {
					   return '';
				   }			  
			   }
		   }
		],
		drawCallback: function() {
			
			 var tabla = $('#inspecciones').DataTable();
			 
			$('.munLocalidadTooltip').each(function (index) {
				
				this.id = this.id + index;
		        $("#"+this.id).rup_tooltip({
		            content: tabla.row(index).data().datosDirecciones.direccion,
		            position: {
		                my: 'top left',
		                at: 'bottom right',
		                adjust: {
		                	x: 10,
		                	y: 9
		                }
		            }
		        });
		        $("#"+this.id).mouseover(function(){
		        	var idQtip = $("#"+this.id).parent().attr("data-hasqtip");
		        	setTimeout(function(){ 
		        		$("#qtip-"+idQtip).remove();
		        	}, 90);
		        	
		        });
		    });
 			 
	 		data = tabla.data();
	 		var conteo = 0;
	 		for (var i = 0; i < data.length; i++) {
	 			for (var j = 0; j < idsSeleccionados.length; j++) {
		     		if (data[i].idInspeccion === idsSeleccionados[j].idInspeccion) {
		 				 $('#inspecciones tbody tr:nth-child(' + (i+1) + ')').click();
		 				 conteo++;
		     		}
		 		}
			}

	 		if (conteo == data.length) {
	 			$("#seleccionaDesTodos").prop('checked', true);
	 		} else {
	 			$("#seleccionaDesTodos").prop('checked', false);
	 		}
	 		
		},
		initComplete:function() {
			
			var spanM = document.createElement("span"); 
			var mostrando = document.createTextNode($.rup.i18n.app.paginador.mostrando); 
			spanM.appendChild(mostrando);  
			spanM.className = "mostrando";
			var spanR = document.createElement("span"); 
			var registros = document.createTextNode($.rup.i18n.app.paginador.registros); 
			spanR.appendChild(registros);
			spanR.className = "registros";
			
			var longitudTabla = document.getElementById("inspecciones_length"); 
			longitudTabla.appendChild(spanM);
			longitudTabla.appendChild(spanR);
			
			if(sessionStorage.getItem("botonVolver") === "true"){
				setTimeout(function(){ 
				sessionStorage.removeItem("botonVolver");
				$("#tablaBusquedaInspecciones").css("display","block");
				$(".botoneraTabla").css("display","block");
				$(".bottom").css("display","block");
				if($("#inspector_filter_table").val() == "0"){
					if($.inArray(parseInt($("#idResultadoInspeccion_filter_table").val()), idsResultadoCancelada) !== -1){
						$("#btnAsignarInspeccion").css("display","none");
			    		tabla.column(10).visible(false);
					} else{
						$("#btnAsignarInspeccion").css("display","inline");
						tabla.column(10).visible(true);
					}
					
					$("#btnEnviarTablet").css("display", "none");
					$("#btnNoEnviarTablet").css("display", "none");
					
				}else if($("#parametroMovilidad").val() === "1"){
					if($("#enviadoTablet_filter_table").val() === "0"){
						$("#btnEnviarTablet").css("display", "inline");
						$("#btnNoEnviarTablet").css("display", "none");
						tabla.column(10).visible(true);
					} else if($("#enviadoTablet_filter_table").val() === "1"){
						$("#btnNoEnviarTablet").css("display", "inline");
						$("#btnEnviarTablet").css("display", "none");
						tabla.column(10).visible(true);
					} else {
						$("#btnEnviarTablet").css("display", "none");
						$("#btnNoEnviarTablet").css("display", "none");
						tabla.column(10).visible(false);
					}
					
					$("#btnAsignarInspeccion").css("display","none");		
				}
				}, 500);
			} else {
				$("#tablaBusquedaInspecciones").css("display","none");	
			}	
			
    	}
	});
	
	$('#inspecciones tbody').on('dblclick', 'tr', function () {
		if($("#inspector_filter_table").val() != "0"){
			$("#btnVerInspeccion").trigger("click");
		}
	});
    
    var tabla = $('#inspecciones').DataTable();
	
	$('#inspecciones tbody').on( 'click', 'tr', function () {
		if($("#inspector_filter_table").val() != "0" && ($("#enviadoTablet_filter_table").val() === "-1" || $("#enviadoTablet_filter_table").length < 1)){
			tabla.$('tr.selected').removeClass('selected');
	        $(this).addClass('selected');
		}else{
			var data = tabla.row( $(this) ).data();
			
			if($(this).hasClass('selected')){
				$(this).removeClass('selected');
				$(this).find('input').prop('checked',false);
				
				for (var i = 0; i < idsSeleccionados.length; i++) {
					if (idsSeleccionados[i].idInspeccion === data.idInspeccion) {
						idsSeleccionados.splice(i, 1);
					}
				}
				
			}else{
				$(this).addClass('selected');
				$(this).find('input').prop('checked',true);

				var yaExiste = false;
	 			for (var j = 0; j < idsSeleccionados.length; j++) {
		     		if (idsSeleccionados[j].idInspeccion === data.idInspeccion ) {
		     			yaExiste = true;
		     		}
				}
	 			if (!yaExiste && $.inArray(parseInt(data.resultadoInspeccion.idResultadoInspeccion), idsResultadoCancelada) === -1) {
	     			idsSeleccionados.push(data);
	 			}
			}
		}
    });
	
	$("#seleccionaDesTodos").click(function() {
		if( $('#seleccionaDesTodos').prop('checked') ) {
			tabla.$('tr').addClass('selected');
			$('.inspeccionesCheckbox').prop('checked',true);
			
			var lineas = tabla.rows().data();
			for (var i = 0; i < lineas.length; i++) {
				var yaExiste = false;
	 			for (var j = 0; j < idsSeleccionados.length; j++) {
		     		if (idsSeleccionados[j].idInspeccion === lineas[i].idInspeccion ) {
		     			yaExiste = true;
		     		}
				}
	 			if (!yaExiste && $.inArray(parseInt(lineas[i].resultadoInspeccion.idResultadoInspeccion), idsResultadoCancelada) === -1) {
	     			idsSeleccionados.push(lineas[i]);
	 			}
			}
			
		}else{
			tabla.$('tr.selected').removeClass('tr-highlight');
			tabla.$('tr.selected').removeClass('selected');
			$('.inspeccionesCheckbox').prop('checked',false);
			
			var lineas = tabla.rows().data();
			for (var i = 0; i < lineas.length; i++) {
				for (var j = 0; j < idsSeleccionados.length; j++) {
					if (idsSeleccionados[j].idInspeccion === lineas[i].idInspeccion) {
						idsSeleccionados.splice(j, 1);
					}
				}
			}
		}
	});

	$(document).on('click', '.inspeccionesCheckbox', function () {
		if($(this).prop('checked')){	
			$(this).parent().parent().addClass('selected');
			$(this).prop('checked',true);
		}else{
			$(this).parent().parent().removeClass('selected');
			$(this).prop('checked',false);
		}
	});
	
	$( "#btnVerInspeccion" ).click(function() {
		if($("#idInspector").val() === 0 && tabla.rows('.selected').data().length < '2'){
			/*para recogerlo*/
			var datosRow = tabla.rows(['.selected']).data().toArray(); 
			sessionStorage.setItem("inspeccionCargada", datosRow[0].idInspeccion);	
			//ACA le pasaremos le idInspecion a inspecionar 
			window.location = "/ab79WebAppWar/fichadeinspeccion/maint/"+datosRow[0].idInspeccion;
		}else if(tabla.rows('.selected').data().length == '1'){
			/*para recogerlo*/
			var datosRow = tabla.rows(['.selected']).data().toArray(); 
			sessionStorage.setItem("inspeccionCargada", datosRow[0].idInspeccion);
			//ACA le pasaremos le idInspecion a inspecionar 
			window.location = "/ab79WebAppWar/fichadeinspeccion/maint/"+datosRow[0].idInspeccion;
		}
		else{
			if(tabla.rows('.selected').data().length > '1'){	
				$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
				$("#inspeccionesFeedback").rup_feedback("set",$.rup.i18n.app.feedback.error.muchaslineasSeleccionada, "error");
			}else{
				$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
				$("#inspeccionesFeedback").rup_feedback("set",$.rup.i18n.app.feedback.error.lineaNoSeleccionada, "error");
			}
		}
	});   
	
	//Botón enviar a la Tablet
	$( "#btnEnviarTablet" ).click(function() {
		if(tabla.rows('.selected').data().length > 0){
			var inspeccionCanceladaSeleccionada = false;
			for (var i = 0; i < tabla.rows('.selected').data().length; i++) {
				if($.inArray(parseInt(tabla.rows('.selected').data()[i].resultadoInspeccion.idResultadoInspeccion), idsResultadoCancelada) !== -1) {
					inspeccionCanceladaSeleccionada = true;
				} 
			}
			
			if(inspeccionCanceladaSeleccionada) {
				$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
				$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.inspeccionCanceladaSeleccionada, "error");
			} else {
				$.rup_messages("msgConfirm", {
					title: $.rup.i18n.app.tablet.enviarTablet,
					message: $.rup.i18n.app.tablet.enviarTabletConfirm,
					OKFunction:	function() {
						var ids = [];
						for (var x = 0;x < tabla.rows('.selected').data().length;x++){
							ids[x]=(tabla.rows('.selected').data()[x].idInspeccion);
						}
						
						$.ajax({
							url: CTX_PATH + "inspecciones/enviarTablet/" + ENVIADO_TABLET_SI,
							type: "POST",
							traditional: true,
							data: {valores:ids},
							success: function(){
								desbloquearInterfaz();
								tabla.ajax.reload();			
								$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true,delay:8000 });
								$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.enviarTabletOk, "ok");
							},
							error: function(){
								desbloquearInterfaz();
								$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true,delay:8000 });
								$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.enviarTabletError, "error");
							}
						});
					}
				});
			}
			
		}else{
			$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#inspeccionesFeedback").rup_feedback("set",$.rup.i18n.app.feedback.error.lineaNoSeleccionada2, "error");
		}
	});
	
	//Botón no enviar a la Tablet
	$( "#btnNoEnviarTablet" ).click(function() {
		if(tabla.rows('.selected').data().length > 0){
			var inspeccionCanceladaSeleccionada = false;
			for (var i = 0; i < tabla.rows('.selected').data().length; i++) {
				if($.inArray(parseInt(tabla.rows('.selected').data()[i].resultadoInspeccion.idResultadoInspeccion), idsResultadoCancelada) !== -1) {
					inspeccionCanceladaSeleccionada = true;
				} 
			}
			
			if(inspeccionCanceladaSeleccionada) {
				$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
				$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.inspeccionCanceladaSeleccionada, "error");
			} else {
				$.rup_messages("msgConfirm", {
					title: $.rup.i18n.app.tablet.noEnviarTablet,
					message: $.rup.i18n.app.tablet.noEnviarTabletConfirm,
					OKFunction:	function() {
						var ids = [];
						for (var x = 0;x < tabla.rows('.selected').data().length;x++){
							ids[x]=(tabla.rows('.selected').data()[x].idInspeccion);
						}
						
						$.ajax({
							url: CTX_PATH + "inspecciones/enviarTablet/" + ENVIADO_TABLET_NO,
							type: "POST",
							traditional: true,
							data: {valores:ids},
							success: function(){
								desbloquearInterfaz();
								tabla.ajax.reload();			
								$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true,delay:8000 });
								$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.noEnviarTabletOk, "ok");
							},
							error: function(){
								desbloquearInterfaz();
								$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true,delay:8000 });
								$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.noEnviarTabletError, "error");
							}
						});
					}
				});
			}
			
		}else{
			$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#inspeccionesFeedback").rup_feedback("set",$.rup.i18n.app.feedback.error.lineaNoSeleccionada2, "error");
		}
	});
	
	//Exportar a Excel
	$("#btnExportarExcel").click(function(){
		
		var orderColumnIndex = tabla.order()[0][0];
		var sord = tabla.order()[0][1];
		var sidx = tabla.settings().init().columns[orderColumnIndex].sidx; 
		var form=document.getElementById("inspecciones_filter_form");
		form.method = "POST";
		form.action = "/ab79WebAppWar/inspecciones/exportarExcel/"+sidx+"/"+sord;
		form.submit();
	});
	
	$("#btnLimpiar").click(function(){
		 $("#tablaBusquedaInspecciones").css("display","none");
		 $("#inspector_filter_table").rup_combo("clear");
		 $("#idResultadoInspeccion_filter_table").rup_combo("clear");
		 $("#idAgrupacion_filter_table").rup_combo("clear");
		 $("#idEstadoInspeccion_filter_table").rup_combo("clear");
		 $("#provincia_filter_table").rup_combo("clear");
		 $("#idCampaina_filter_table").rup_combo("clear");
		 $("#idOrigenInspeccion_filter_table").rup_combo("clear");
		 $("#inspecciones_filter_form")[0].reset();
		 $("#checkboxInspectores").trigger('change');
		 sessionStorage.removeItem("busqueda");
		 idsSeleccionados = [];
		 if(typeof DIRECCION_PRECARGADA == "undefined" || DIRECCION_PRECARGADA == null || DIRECCION_PRECARGADA == "") {
			 recargarDireccion = true;
			 $("#idDireccion_filter_table").rup_combo("reload");
		 }else{
			 $("#idDireccion_filter_table").rup_combo("setRupValue", DIRECCION_PRECARGADA);
		 }	 
	});

	$( "#busqExp" ).click(function() {
		buscarInspecciones();    	
	});

	$("#asignarInspector").rup_dialog({
		autoOpen: false,
		width: 500,
		modal: true,
		position: { my: "center center" },
		type: $.rup.dialog.DIV
	});

	$("#comboAsignarInspector").rup_combo({
		blank : "",
		source : "/ab79WebAppWar/inspectores",
		sourceParam : {
			label : "nombreInspector",
			value : "idInspector"
		},
		width: 300
	});
	
	
	
	$( "#btnAsignarInspeccion" ).click(function() {
		if (idsSeleccionados.length > 0) {
			var inspeccionCanceladaSeleccionada = false;
			for (var i = 0; i < idsSeleccionados.length; i++) {
				for (var i = 0; i < idsSeleccionados.length; i++) {
					if($.inArray(parseInt(idsSeleccionados[i].resultadoInspeccion.idResultadoInspeccion), idsResultadoCancelada) !== -1) {
						inspeccionCanceladaSeleccionada = true;
					} 
				}
			}
			
			if(inspeccionCanceladaSeleccionada) {
				$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
				$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.inspeccionCanceladaSeleccionada, "error");
			} else {
				$("#asignarInspector").rup_dialog("open");
			}
			
		}else{
			$("#inspeccionesFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#inspeccionesFeedback").rup_feedback("set",$.rup.i18n.app.feedback.error.lineaNoSeleccionada2, "error");
		}
	});
	
	$( "#asignarInspectorCancelar" ).click(function() {	
		$("#asignarInspector").rup_dialog("close");	
	});
	
	$( "#asignarInspectorGuardar" ).click(function() {	
		var ids = [];
		for (var x = 0;x < idsSeleccionados.length;x++){
			ids[x]=(idsSeleccionados[x].idInspeccion);
		}
		var inspector = $("#comboAsignarInspector").rup_combo("getRupValue");

		if(inspector != ""){
			bloquearInterfaz();
			$.ajax({
				url: CTX_PATH + "inspecciones/asignarInspector/"+inspector,
				type: "POST",
				traditional: true,
				data: {valores:ids},
				success: function(){
					desbloquearInterfaz();
					$("#asignarInspector").rup_dialog("close");	
					tabla.ajax.reload();			
					$("#inspeccionesFeedback").rup_feedback({ gotoTop : true, block : false, closeLink : true,delay:8000 });
					$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.asignarInspectorOK, "ok");
				},
				error: function(){
					desbloquearInterfaz();
					$("#inspeccionesFeedback").rup_feedback({ gotoTop : true, block : false, closeLink : true,delay:8000 });
					$("#inspeccionesFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.asignarInspectorError, "error");
				}
			});
		}else{
			$("#asignarInspectorFeedback").rup_feedback({ gotoTop : true, block : false, closeLink : true,delay:8000 });
			$("#asignarInspectorFeedback").rup_feedback("set", $.rup.i18n.app.busquedaInspecciones.asignarError, "error");
		}
	});
	
	
	//Mantener los criterios de búsqueda (filtro) anteriores y filtrar
	var filtro = JSON.parse(sessionStorage.getItem("busqueda"));
	var botonVolver = sessionStorage.getItem("botonVolver");
	if(filtro !== null && botonVolver === "true"){
		$("#identificadorInspeccion_filter_table").val(filtro.identificadorInspeccion);
		$("#folderNumber_filter_table").val(filtro["expediente.folderNumber"]);
		$("#tituloExpediente_filter_table").val(filtro["expediente.titulo"]);
		$("#inspector_filter_table").rup_combo("setRupValue", filtro["inspector.idInspector"]);
		$("#idOrigenInspeccion_filter_table").rup_combo("setRupValue", filtro.idOrigenInspeccion);
		$("#idResultadoInspeccion_filter_table").rup_combo("setRupValue", filtro["resultadoInspeccion.desResIns.idDesResIns"]);
		$("#idAgrupacion_filter_table").rup_combo("setRupValue", filtro["agrupacion.idAgrupacion"]);
		$("#codigoProvincia").val(filtro["datosDirecciones.idProvincia"]);
		$("#provincia_filter_table").rup_combo("setRupValue", filtro["datosDirecciones.idProvincia"]);
		$("#codigoMunicipio").val(filtro["datosDirecciones.idMunicipio"]);
		$("#municipio_filter_table").rup_combo("setRupValue", filtro["datosDirecciones.idMunicipio"]);
		$("#codigoLocalidad").val(filtro["datosDirecciones.idLocalidad"]);
		$("#localidad_filter_table").rup_combo("setRupValue", filtro["datosDirecciones.idLocalidad"]);
		$("#calle_filter_table").val(filtro["datosDirecciones.direccion"]);
		$("#numero_filter_table").val(filtro["datosDirecciones.numero"]);
		$("#escalera_filter_table").val(filtro["datosDirecciones.escalera"]);
		$("#piso_filter_table").val(filtro["datosDirecciones.piso"]);
		$("#letra_filter_table").val(filtro["datosDirecciones.letra"]);
		$("#codigoPostal_filter_table").val(filtro["datosDirecciones.codigoPostal"]);
		if($("#parametroMovilidad").val() === "1"){
			$("#enviadoTablet_filter_table").rup_combo("setRupValue", filtro.enviadoTablet);
		}		
		$("#casoPropuesta_filter_table").rup_combo("setRupValue", filtro.casoPropuesta);
		if(filtro.nRegistro !== ""){
			$("#registroUno").val(filtro.nRegistro.substring(0, 1));
			$("#registroDos").val(filtro.nRegistro.substring(1, 3));
			$("#registroTres").val(filtro.nRegistro.substring(3, 8));
			$("#nRegistro_filter_table").val($("#registroUno").val()+$("#registroDos").val()+$("#registroTres").val());
		}

		setTimeout(function(){ 
			buscarInspecciones();
		}, 2500);
	}
	
});

function buscarComboProvincia(){
	$("#provincia_filter_table").rup_combo("setRupValue", pad($("#codigoProvincia").val(), 2));
}

function buscarComboMunicipio(){
	$("#municipio_filter_table").rup_combo("setRupValue", pad($("#codigoMunicipio").val(), 3));
}

function buscarInspecciones() {
	
	var tabla = $('#inspecciones').DataTable();
	
	if($("#registroUno").val().length === 1 && $("#registroDos").val().length === 2 && $("#registroTres").val() !== ""){
		
		for (var i = $("#registroTres").val().length; i < 5; i++) {
			$("#registroTres").val("0" + $("#registroTres").val());
		}
		
	}

	if($("#inspector_filter_table").val() == "0" && $("#enviadoTablet_filter_table").length > 0){		
		$("#enviadoTablet_filter_table").rup_combo("setRupValue", -1);
	}
	
	$("#nRegistro_filter_table").val($("#registroUno").val()+$("#registroDos").val()+$("#registroTres").val());
	document.getElementById('inspecciones_filter_filterButton').click();
	
//	$("html, body").animate({ scrollTop: $(document).height() }, 1000);
	$("#tablaBusquedaInspecciones").css("display","block");
	$(".botoneraTabla").css("display","block");
	$(".bottom").css("display","block");
	if($("#inspector_filter_table").val() == "0"){
		if($.inArray(parseInt($("#idResultadoInspeccion_filter_table").val()), idsResultadoCancelada) !== -1){
			$("#btnAsignarInspeccion").css("display","none");
    		tabla.column(10).visible(false);
		} else{
			$("#btnAsignarInspeccion").css("display","inline");
			tabla.column(10).visible(true);
		}
		
		$("#btnEnviarTablet").css("display", "none");
		$("#btnNoEnviarTablet").css("display", "none");
		
	}else{
		if($("#enviadoTablet_filter_table").val() === "0"){
			$("#btnEnviarTablet").css("display", "inline");
			$("#btnNoEnviarTablet").css("display", "none");
			tabla.column(10).visible(true);
		} else if($("#enviadoTablet_filter_table").val() === "1"){
			$("#btnNoEnviarTablet").css("display", "inline");
			$("#btnEnviarTablet").css("display", "none");
			tabla.column(10).visible(true);
		} else {
			$("#btnEnviarTablet").css("display", "none");
			$("#btnNoEnviarTablet").css("display", "none");
			tabla.column(10).visible(false);
		}
		
		$("#btnAsignarInspeccion").css("display","none");		
	}

	var busqueda = {};
	
	$.each($("#inspecciones_filter_form").serializeArray(), function() {
		if(this.name === "idsComboEstadoInspeccion"){
			busqueda[this.name] = $("#idEstadoInspeccion_filter_table").rup_combo("getRupValue");
		} else{
			busqueda[this.name] = this.value;
		}
	});
	
	sessionStorage.setItem("busqueda", JSON.stringify(busqueda));
	
	idsSeleccionados = [];
	
	$("#acordeonBusqueda").rup_accordion("activate", false);
}